summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authormayeut <mayeut@users.noreply.github.com>2015-10-10 17:12:05 +0200
committermayeut <mayeut@users.noreply.github.com>2015-10-10 17:12:05 +0200
commitcf6db1641ac2a9be86a99a573dd5866832e7ba80 (patch)
tree02c051c681459ef65bd9cae9c36daa2ee957f275
parent9df5546838e12291f7db737e5e6597f17c92cadb (diff)
get proper path
-rwxr-xr-xtools/travis-ci/run.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/tools/travis-ci/run.sh b/tools/travis-ci/run.sh
index a783c204..eaa8d45a 100755
--- a/tools/travis-ci/run.sh
+++ b/tools/travis-ci/run.sh
@@ -21,6 +21,15 @@ set -o nounset ## set -u : exit the script if you try to use an uninitialised
set -o errexit ## set -e : exit the script if any statement returns a non-true return value
set -o pipefail ## Fail on error in pipe
+function opjpath ()
+{
+ if [ "${OPJ_CI_IS_CYGWIN:-}" == "1" ]; then
+ cygpath -m "$1"
+ else
+ echo "$1"
+ fi
+}
+
# ABI check is done by abi-check.sh
if [ "${OPJ_CI_ABI_CHECK:-}" == "1" ]; then
exit 0
@@ -153,7 +162,7 @@ export OPJ_SOURCE_DIR=${OPJ_SOURCE_DIR}
export OPJ_BUILD_CONFIGURATION=${OPJ_CI_BUILD_CONFIGURATION}
export OPJ_DO_SUBMIT=${OPJ_DO_SUBMIT}
-ctest -S ${OPJ_SOURCE_DIR}/tools/ctest_scripts/travis-ci.cmake -V || true
+ctest -S $(opjpath ${OPJ_SOURCE_DIR}/tools/ctest_scripts/travis-ci.cmake) -V || true
# ctest will exit with various error codes depending on version.
# ignore ctest exit code & parse this ourselves
set +x